package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 宠物品种对象 app_pets_bread
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppPetsBread extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 宠物品种编号 */
    private Long petBreadId;

    /** 宠物种类编号 */
    @Excel(name = "宠物种类编号")
    private Long petSpeciesId;

    /** 品种名称 */
    @Excel(name = "品种名称")
    private String petsBreadName;

    /** 健康编号 */
    @Excel(name = "健康编号")
    private Long petHealthidId;

    /** 宠物编号 */
    @Excel(name = "宠物编号")
    private Long petId;

    /** 宠物证书, 0==异证, 1==狗证, 2==猫证 */
    @Excel(name = "宠物证书, 0==异证, 1==狗证, 2==猫证")
    private Integer petsHealthidCertificate;

    /** 宠物驱虫, 0==有驱虫, 1==无驱虫 */
    @Excel(name = "宠物驱虫, 0==有驱虫, 1==无驱虫")
    private Integer petsHealthidDeworming;

    /** 健康简介 */
    @Excel(name = "健康简介")
    private String petsHealthidInfo;

    /** 宠物绝育, 0==已绝育, 1==没绝育 */
    @Excel(name = "宠物绝育, 0==已绝育, 1==没绝育")
    private Integer petsHealthidSterilization;

    /** 宠物疫苗, 0==有疫苗, 1==无疫苗 */
    @Excel(name = "宠物疫苗, 0==有疫苗, 1==无疫苗")
    private Integer petsHealthidVaccine;

    public void setPetBreadId(Long petBreadId) 
    {
        this.petBreadId = petBreadId;
    }

    public Long getPetBreadId() 
    {
        return petBreadId;
    }
    public void setPetSpeciesId(Long petSpeciesId) 
    {
        this.petSpeciesId = petSpeciesId;
    }

    public Long getPetSpeciesId() 
    {
        return petSpeciesId;
    }
    public void setPetsBreadName(String petsBreadName) 
    {
        this.petsBreadName = petsBreadName;
    }

    public String getPetsBreadName() 
    {
        return petsBreadName;
    }
    public void setPetHealthidId(Long petHealthidId) 
    {
        this.petHealthidId = petHealthidId;
    }

    public Long getPetHealthidId() 
    {
        return petHealthidId;
    }
    public void setPetId(Long petId) 
    {
        this.petId = petId;
    }

    public Long getPetId() 
    {
        return petId;
    }
    public void setPetsHealthidCertificate(Integer petsHealthidCertificate) 
    {
        this.petsHealthidCertificate = petsHealthidCertificate;
    }

    public Integer getPetsHealthidCertificate() 
    {
        return petsHealthidCertificate;
    }
    public void setPetsHealthidDeworming(Integer petsHealthidDeworming) 
    {
        this.petsHealthidDeworming = petsHealthidDeworming;
    }

    public Integer getPetsHealthidDeworming() 
    {
        return petsHealthidDeworming;
    }
    public void setPetsHealthidInfo(String petsHealthidInfo) 
    {
        this.petsHealthidInfo = petsHealthidInfo;
    }

    public String getPetsHealthidInfo() 
    {
        return petsHealthidInfo;
    }
    public void setPetsHealthidSterilization(Integer petsHealthidSterilization) 
    {
        this.petsHealthidSterilization = petsHealthidSterilization;
    }

    public Integer getPetsHealthidSterilization() 
    {
        return petsHealthidSterilization;
    }
    public void setPetsHealthidVaccine(Integer petsHealthidVaccine) 
    {
        this.petsHealthidVaccine = petsHealthidVaccine;
    }

    public Integer getPetsHealthidVaccine() 
    {
        return petsHealthidVaccine;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("petBreadId", getPetBreadId())
            .append("petSpeciesId", getPetSpeciesId())
            .append("petsBreadName", getPetsBreadName())
            .append("petHealthidId", getPetHealthidId())
            .append("petId", getPetId())
            .append("petsHealthidCertificate", getPetsHealthidCertificate())
            .append("petsHealthidDeworming", getPetsHealthidDeworming())
            .append("petsHealthidInfo", getPetsHealthidInfo())
            .append("petsHealthidSterilization", getPetsHealthidSterilization())
            .append("petsHealthidVaccine", getPetsHealthidVaccine())
            .toString();
    }
}
